Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.xml
Class Unmarshaller

    java.lang.Object
      com.jaspersoft.jasperserver.ws.xml.Unmarshaller

    public class Unmarshaller

extends java.lang.Object

Author:
  gtoffoli

Constructor Summary
`Unmarshaller()` Creates a new instance of XMLMarchaller

Method Summary
`static java.lang.String` | `readPCDATA(org.w3c.dom.Node textNode)`
`static java.lang.String` | `readPCDATA(org.w3c.dom.Node textNode, boolean trim)`
`static java.lang.Object` | `unmarshal(java.lang.Class c, java.io.StringReader sr)` Class c is not used, the method firm is done to be compatible with old code.
`java.lang.Object` | `unmarshal(java.lang.String xml)`
`java.lang.Object` | `unmarshal(java.io.StringReader sreader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Unmarshaller

    public Unmarshaller()

  Creates a new instance of XMLMarchaller

Method Detail

### readPCDATA

    public static java.lang.String readPCDATA(org.w3c.dom.Node textNode)

### readPCDATA

    public static java.lang.String readPCDATA(org.w3c.dom.Node textNode,
                                              boolean trim)

### unmarshal

    public static java.lang.Object unmarshal(java.lang.Class c,
                                             java.io.StringReader sr)
                                      throws java.lang.Exception

  Class c is not used, the method firm is done to be compatible with old code.

  Throws:
    `java.lang.Exception`

### unmarshal

    public java.lang.Object unmarshal(java.lang.String xml)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### unmarshal

    public java.lang.Object unmarshal(java.io.StringReader sreader)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.